Bug 113243 - incorrect/missing translation
incorrect/missing translation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-10 09:07 EST by Dimitri Papadopoulos
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Papadopoulos 2004-01-10 09:07:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Hi,

The French translation of gdm:
	/usr/share/locale/fr/LC_MESSAGES/gdm-2.4.mo
translates
	Korean
to:
	Koréen
That's wrong.

Instead it should be:
	Coréen


Version-Release number of selected component (if applicable):
gdm-2.4.4.5-1

How reproducible:
Always

Steps to Reproduce:
Just have look at the language menu under a French locale.


Additional info:
Comment 1 Dimitri Papadopoulos 2004-01-10 09:20:05 EST
The language menu of gdm displays available languages using two
columns. The left column displays language items in the system-wide
default language. The right column displays language items in the
item's language. For example:
        French   Français
The translation for Greek is missing:
        Greek
It should be:
        Greek    Eλληνικά
Comment 2 Dimitri Papadopoulos 2004-01-10 09:30:57 EST
The French translation of gdm:
	/usr/share/locale/fr/LC_MESSAGES/gdm-2.4.mo
translates
	Latvian
to:
	Latvian
That's wrong.

Instead it should be:
	Letton
Comment 3 Dimitri Papadopoulos 2004-01-10 09:39:12 EST
The language menu of gdm displays available languages using two
columns. The left column displays language items in the system-wide
default language. The right column displays language items in the
item's language. For example:
        French   Français

The translation for Chinese (simplified) and Thai doesn't look good
under a French locale. The font used by gdm seems to be lacking some
Chinese and Thai characters. Sorry, I can't provide screenshots, but
here is how it looks like:

                   +-----+ +-----+ +-----+
Thai               | 0 0 | | 0 0 | | 0 0 |
                   | E 4 | | B 7 | | C 2 |
                   +-----+ +-----+ +-----+

                     |     |
                   +-+-+ --+--    +-----+ +-----+
Chinois simplifié  | | |  ^ /   ( | 7 B | | 4 F | )
                   +-+-+   X      | 8 0 | | 5 3 |
                     |    / \     +-----+ +-----+


Hopefully you'll understand what I mean...
Comment 4 Dimitri Papadopoulos 2004-01-10 09:40:04 EST
Some additional information on my settings:

$ cat /etc/sysconfig/i18n
LANG="fr_FR.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:fr_FR.UTF-8:fr_FR:fr:de_DE.UTF-8:de_DE:de:el_GR.UTF-8:el_GR:el:ko_KR.UTF-8:ko_KR:ko"
SYSFONT="latarcyrheb-sun16"
$ 
Comment 5 Dimitri Papadopoulos 2004-01-13 01:44:18 EST
I've filed a bug report on the Gnome site about the wrong translations:
http://bugzilla.gnome.org/show_bug.cgi?id=131282

There's still the problem with the default font not showing Thai and
Chinese glyphs. Also I'm not sure why "Eλληνικά" is missing, it's
there in the gdm-2.5.90.0 sources, maybe it has been added after
gdm-2.4.4.5. If not, that's maybe a font problem as well.
Comment 6 Ray Strode [halfline] 2005-05-11 18:13:14 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.